#pragma once

#include "public.sdk/source/vst2.x/aeffeditor.h"
#include "Hoster.h"
class Guiwrapper : public AEffEditor
{
public:
    Guiwrapper(AudioEffect* effect = 0) :AEffEditor(effect) {};

    virtual bool getRect(ERect** rect) { *rect = 0; return false; }		///< Query editor size as #ERect
    virtual bool open(void* ptr) { systemWindow = ptr; host->OpenConfig();  return 0; }	///< Open editor, pointer to parent windows is platform-dependent (HWND on Windows, WindowRef on Mac).
    virtual void close() { systemWindow = 0; }				///< Close editor (detach from parent window)
    virtual bool isOpen() { return systemWindow != 0; }		///< Returns true if editor is currently open


    void setHost(Hoster* thehost) { host = thehost; }
protected:
    Hoster* host;
};
