#pragma once
#include <stdlib.h>
#include <string>
#include <assert.h>
#include "winamp\dsp.h"

class Hoster
{
public:
	Hoster(std::string plugname);
	~Hoster(void);

    void Init(int plugindex = 0);
	void OpenConfig() { assert(module); module->Config(module); }
    void Process(short int *samples, int numSamples, int bits, bool stereo, int srate);
	void GetInfo(std::string& description) { assert(module); description = module->description; }

    void Quit();

    winampDSPHeader* header;
	winampDSPModule* module;
    HMODULE dllmodule;
    HWND mainWnd;
};
